:root{

    --primary:#24106D;
    --secondary:#4B2AC6;
    --gold:#F7C948;
    --light:#F8F9FC;
    --white:#FFFFFF;
    --dark:#2C2C2C;

}

body{

    background:#f4f6fb;
    font-family:'Segoe UI',sans-serif;
    margin:0;
    padding:0;

}

/* SIDEBAR */

.sidebar{

    position:fixed;
    left:0;
    top:0;
    width:280px;
    height:100vh;
    background:linear-gradient(
        180deg,
        #24106D,
        #4B2AC6
    );

    color:white;
    overflow-y:auto;
    z-index:1000;

}

.logo{ 
    
    width:160px; transition:0.3s; 
    
} 

.logo:hover{ 
    
    transform:scale(1.05); 
    
}

.logo-area{

    text-align:center;
    padding:20px;

}

.sidebar-logo{

    width:170px;
    margin-bottom:15px;
    filter: brightness(0) invert(1);

}

.logo-area h4{

    margin-top:10px;
    padding:10px;
    color:white;
    font-weight:bold;

}

.sidebar ul{

    list-style:none;
    margin:0;
    padding:0;

}

.sidebar ul li{

    margin:5px 10px;

}

.sidebar ul li a{

    color:white;
    text-decoration:none;
    display:block;
    padding:12px 15px;
    border-radius:10px;
    transition:.3s;

}

.sidebar ul li a:hover{

    background:rgba(255,255,255,.15);

}

/* MAIN AREA */

.main-content{

    margin-left:280px;
    padding:25px;

}

/* TOP BAR */

.topbar{

    background:white;
    border-radius:15px;
    padding:15px 25px;
    box-shadow:0 3px 15px rgba(0,0,0,.08);
    margin-bottom:25px;

}

/* DASHBOARD CARDS */

.stat-card{

    background:white;
    border-radius:20px;
    padding:20px;
    box-shadow:0 3px 20px rgba(0,0,0,.08);
    transition:.3s;

}

.stat-card:hover{

    transform:translateY(-5px);

}

.stat-icon{

    font-size:40px;

}

.stat-number{

    font-size:34px;
    font-weight:bold;
    color:#24106D;

}


.card{ 
    border:none; border-radius:25px; box-shadow:0 5px 20px rgba(0,0,0,.08); background:#fff; 
    
} 
    
    .card-title{ 
        
        font-size:15px; font-weight:600; 
        
    } 
    
    .form-control{ 
        
        height:50px; border-radius:12px; 
        
    }

.stat-title{

    color:#777;
    font-size:14px;

}

.total-teens{
border-left:6px solid #24106D;
}

.male-teens{
border-left:6px solid #3498db;
}

.female-teens{
border-left:6px solid #e84393;
}

.teachers{
border-left:6px solid #f7c948;
}

/* WIDGETS */

.widget{

    background:white;
    border-radius:20px;
    padding:20px;
    box-shadow:0 3px 20px rgba(0,0,0,.08);

}

.widget-title{

    font-weight:bold;
    color:#24106D;
    margin-bottom:15px;

}

/* BUTTONS */

.btn-primary{

    background:#24106D;
    border:none;

}

.btn-primary:hover{

    background:#4B2AC6;

}

/* FOOTER */

.footer{

    text-align:center;
    color:#777;
    margin-top:30px;
    font-size:13px;

}

/* MOBILE */

@media(max-width:768px){

.sidebar{

    width:100%;
    height:auto;
    position:relative;

}

.main-content{

    margin-left:0;

}

}